cURL - Query task result
Authorizations
string
header
required
Qwen Cloud API Key. See Get API Key.
Path Parameters
string
required
Task identifier returned by the create endpoint.
Query qwen-mt-image image translation task status and result
# Replace 86ecf553-d340-4e21-xxxxxxxxx with your actual task_id
curl -X GET https://dashscope-intl.aliyuncs.com/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxx \
--header "Authorization: Bearer $DASHSCOPE_API_KEY"{
"request_id": "5fec62eb-bf94-91f8-b9f4-f7f758e4e27e",
"output": {
"task_id": "72c52225-8444-4cab-ad0c-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2025-08-13 18:11:16.954",
"scheduled_time": "2025-08-13 18:11:17.003",
"end_time": "2025-08-13 18:11:23.860",
"image_url": "http://dashscope-result-sg.oss-ap-southeast-1.aliyuncs.com/xxx?Expires=xxx"
},
"usage": {
"image_count": 1
}
}Qwen Cloud API Key. See Get API Key.
Task identifier returned by the create endpoint.
Unique request identifier for tracing and troubleshooting.
Task output.
Show child attributes
Task ID. Valid for 24 hours.
Task status.
Task submission time. Format: YYYY-MM-DD HH:mm:ss.SSS.
Task execution start time. Format: YYYY-MM-DD HH:mm:ss.SSS.
Task completion time. Format: YYYY-MM-DD HH:mm:ss.SSS.
URL of the translated image, same dimensions as the original, JPG format. Valid for 24 hours — download and save promptly.
Additional information. Usually not returned. When the image contains no translatable text, the task still succeeds (and is billed), returning No text detected for translation. On failure, contains error details.
Error code. Not returned on success.
# Replace 86ecf553-d340-4e21-xxxxxxxxx with your actual task_id
curl -X GET https://dashscope-intl.aliyuncs.com/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxx \
--header "Authorization: Bearer $DASHSCOPE_API_KEY"{
"request_id": "5fec62eb-bf94-91f8-b9f4-f7f758e4e27e",
"output": {
"task_id": "72c52225-8444-4cab-ad0c-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2025-08-13 18:11:16.954",
"scheduled_time": "2025-08-13 18:11:17.003",
"end_time": "2025-08-13 18:11:23.860",
"image_url": "http://dashscope-result-sg.oss-ap-southeast-1.aliyuncs.com/xxx?Expires=xxx"
},
"usage": {
"image_count": 1
}
}